<div class="row">
    <div class="col-md-12">
        <!-- Logo -->
        <div class="logo text-center">
        </div>
        <div class="text-center forms">
            <form class="form form-horizontal" #userForm = "ngForm" (ngSubmit) = "register()">
                <p>Already have an account? <a routerLink="/signin" routerLinkActive="active">Log In</a></p>
                <h2>JOIN<b> DATAEXO TODAY!</b></h2>
                <hr>
                <div class="username" [class.has-error]="username.invalid && username.touched">
                    <label>Email</label>
                    <input type="email" class="form-control" 
                    name="username" required email
                    [(ngModel)] = "user.username" #username = "ngModel">
                    <label for="password" class="control-label" *ngIf="username.errors && username.errors.required && username.touched">
                        <i class="fa fa-times-circle-o"></i> Email is required
                    </label>
                    <label for="password" class="control-label" *ngIf="username.errors && username.errors.email && username.touched">
                        <i class="fa fa-times-circle-o"></i> Email is not valid
                    </label>
                </div>
                <hr>
                <div class="password" [class.has-error]="password.invalid && password.touched">
                    <label>Password</label>
                    <input type="password" class="form-control" 
                    name="password" required minlength="6"
                    [(ngModel)] = "user.password" #password = "ngModel">
                    <label for="password" class="control-label" *ngIf="password.errors && password.errors.minlength && password.touched">
                        <i class="fa fa-times-circle-o"></i> Password must be at least 6 characters long.
                    </label>
                    <label for="password" class="control-label" *ngIf="password.errors && password.errors.required && password.touched">
                        <i class="fa fa-times-circle-o"></i> Password is required
                    </label>
                </div>
                <hr>
                <div class="password" [class.has-error]="first_name.invalid && first_name.touched">
                    <label>First Name</label>
                    <input class="form-control" 
                    name="first_name" required 
                    [(ngModel)] = "user.first_name" #first_name = "ngModel">
                    <label for="first_name" class="control-label" *ngIf="first_name.errors && first_name.errors.required && first_name.touched">
                        <i class="fa fa-times-circle-o"></i> First Name is required
                    </label>
                </div>
                <hr>
                <div class="last_name" [class.has-error]="last_name.invalid && last_name.touched">
                    <label>Last Name</label>
                    <input class="form-control" 
                    name="last_name" required 
                    [(ngModel)] = "user.last_name" #last_name = "ngModel">
                   <label for="last_name" class="control-label" *ngIf="last_name.errors && last_name.errors.required && last_name.touched">
                        <i class="fa fa-times-circle-o"></i> Last Name is required
                    </label>
                </div>
                <input [disabled]="userForm.invalid" class="btn btn-primary btn-submit" type="submit" value="Register">
            </form>
        </div>
    </div>
</div>